Skip to content

Get envelope webhook

Request

Returns a specific envelope webhook.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

envelopeIdstring, (uuid)required

Unique identifier of the envelope

webhookIdstring, (uuid)required

Unique identifier of the webhook

GET
/api/v1/organizations/{organizationId}/envelopes/{envelopeId}/webhooks/{webhookId}
curl -i -X GET \
  '/api/v1/organizations/{organizationId}/envelopes/{envelopeId}/webhooks/{webhookId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
idstring, (uuid)required

The webhook ID.

urlstringrequired

The URL receiving the webhook calls.

eventstring(WebhookEventType)required

Events a webhook can be configured for. Envelope webhooks support every event, organization webhooks only EnvelopeCompleted.

Enum:"EnvelopeSent""EnvelopeCompleted""EnvelopeCanceled""EnvelopeRestarted""EnvelopeDeleted""RecipientCompleted""RecipientRejected""RecipientDelegated"
createdAtstring, (date-time)required

When the webhook was created.

updatedAtstring, (date-time)required

When the webhook was last updated.

authenticationobject(WebhookAuthenticationResponse)

Authentication settings of a webhook. Header names are returned as-is, every secret value is obfuscated with asterisks.

Response
{ "id": "b1f2c3d4-e5f6-7890-abcd-ef1234567890", "url": "https://example.com/hooks/envelope", "event": "EnvelopeCompleted", "createdAt": "2026-10-05T10:30:00+00:00", "updatedAt": "2026-10-05T10:30:00+00:00", "authentication": { "headers": { … }, "clientCertificate": null, "clientKey": null } }